| Home | Libraries | People | FAQ | More

## Struct template mean_impl

boost::accumulators::impl::mean_impl

## Synopsis

    // In header: <boost/accumulators/statistics/mean.hpp>

    template<typename Sample, typename SumFeature>
    struct mean_impl {
      // types
      typedef numeric::functional::average< Sample, std::size_t >::result_type result_type;

      // construct/copy/destruct
      mean_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `mean_impl` public construct/copy/destruct

1.     mean_impl(dont_care);

### `mean_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;